#include "effectFunctionApophysis_n1.h"
#include "sparam.h"
#include "planche.h"

effectFunctionApophysis_n1 :: effectFunctionApophysis_n1()
{
 k = 1.0 ;
 ik = 1.0 ;
}

effectFunctionApophysis_n1 :: ~effectFunctionApophysis_n1()
{
}

void effectFunctionApophysis_n1 :: setParameters(sparam* p)
{
 bool ok ;

 k = (*p)[0].toDouble(&ok) ;
 if (not(ok)) { k = 1.0 ; ik = 1.0 ; }
 if (k!= 0.0) ik = 1.0/k ; else ik = 1.0 ;

 cout << "  k = " << k << endl ;
 cout << " ik = " << ik << endl ;
}

void effectFunctionApophysis_n1 :: streamParameters( QTextStream& st )
{
}

void effectFunctionApophysis_n1 :: calculate(double* x0p,double* y0p,double* ifs,int capp,double x0,double y0)
{
 double tx,ty ;
 //cout << " void effectFunctionApophysis_n1 :: calculate( planche* pl ) " << endl ;

 tx = k * x0 ;
 ty = k * y0 ;
 *x0p = ifs[capp+8] + ik * tx * cos(6.28*tx*tx) ;
 *y0p = ifs[capp+9] + ik * sin(ty) ;
}




