#include "effectFunctionApophysis_n2.h"
#include "sparam.h"
#include "planche.h"

effectFunctionApophysis_n2 :: effectFunctionApophysis_n2()
{
 k = 1.0 ;
 ik = 1.0 ;
}

effectFunctionApophysis_n2 :: ~effectFunctionApophysis_n2()
{
}

void effectFunctionApophysis_n2 :: setParameters(sparam* p)
{
 bool ok ;

 k = (*p)[0].toDouble(&ok) ;
 if (not(ok)) { k = 1.0 ; ik = 1.0 ; }
 if (k!= 0.0) ik = 1.0/k ; else ik = 1.0 ;
}

void effectFunctionApophysis_n2 :: streamParameters( QTextStream& st )
{
}

void effectFunctionApophysis_n2 :: calculate(double* x0p,double* y0p,double* ifs,int capp,double x0,double y0)
{
 double tx,ty,t,t2 ;
 //cout << " void effectFunctionApophysis_n2 :: calculate( planche* pl ) " << endl ;

 tx = k * x0 ;
 ty = k * y0 ;
 t  = tx*tx+ty*ty + 1e-6;
 //t2 = sqrt(sqrt(t)) ;
 t  = pow(t,0.7) ;
 //t += 1e-6 ;
 //t = ik / t ;
 t = ik/t ;
 t2 = tx + ty ;
 //t2 *= t2 ;
 *x0p = ifs[capp+8] + t * tx * sin(24.0*tx*ty) ;
 *y0p = ifs[capp+9] + t * ty * sin(24.0*t2) ;
}




