#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>


#include "sparam.h"
#include "wEffectColorGamma.h"


wEffectColorGamma :: wEffectColorGamma( QWidget* parent=0,const char* name=0, WFlags f=0 ) : wEffectColor(parent,name,f)
{
    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setGeometry( QRect( 20, 20, 30, 20 ) );

    lineEdit1 = new QLineEdit( this, "lineEdit1" );
    lineEdit1->setGeometry( QRect( 50, 10, 80, 24 ) );

    lineEdit2 = new QLineEdit( this, "lineEdit2" );
    lineEdit2->setGeometry( QRect( 50, 40, 80, 24 ) );

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setGeometry( QRect( 20, 50, 20, 20 ) );

    checkBox1 = new QCheckBox( this, "checkBox1" );
    checkBox1->setGeometry( QRect( 50, 80, 80, 22 ) );

    pushButton1 = new QPushButton( this, "pushButton1" );
    pushButton1->setGeometry( QRect( 20, 120, 100, 30 ) );
    //resize( QSize(148, 164).expandedTo(minimumSizeHint()) );
    setGeometry(400,200,148,164) ;


    textLabel1->setText( "k"  );
    textLabel2->setText( "N"  );
    checkBox1->setText( "inversed" );
    pushButton1->setText( "validate"  );
    lineEdit1->setText("1.01") ;
    lineEdit2->setText("20") ;

 QObject::connect( lineEdit1,SIGNAL(lostFocus()),this,SLOT(slotParamatersChanged()) ) ;
 QObject::connect( lineEdit2,SIGNAL(lostFocus()),this,SLOT(slotParamatersChanged()) ) ;
 QObject::connect( checkBox1,SIGNAL(clicked()),this,SLOT(slotParamatersChanged()) ) ;
 QObject::connect( pushButton1,SIGNAL(clicked()),this,SLOT(slotParamatersChanged()) ) ;
}

wEffectColorGamma :: ~wEffectColorGamma()
{
}

void wEffectColorGamma :: getParameters(sparam* p)
{
 (*p)[0] = lineEdit1->text() ;
 (*p)[1] = lineEdit2->text() ;
 if (checkBox1->isChecked()) (*p)[2] = "1" ; else (*p)[2] = "0" ;
}

void wEffectColorGamma :: slotParamatersChanged()
{
 emit signalParamatersChanged() ;
}


