
#include<qstring.h>

#include "fenetreImage.h"
#include "conteneurImage.h"


conteneurImage :: conteneurImage()
{

 //setFocusPolicy(QWidget::StrongFocus) ;

 _scrollview = new QScrollView( this ) ;
 _scrollview->setGeometry(0,0,width(),height()) ;
 _fenetreImage = new fenetreImage() ;
 _scrollview->addChild( _fenetreImage ) ;

 // c'est galre
 QObject::connect( _fenetreImage,SIGNAL(signalIFSchanged(paralleVector*,int,int)),
 			this,SLOT(slotIFSchanged(paralleVector*,int,int))) ;
}

conteneurImage :: conteneurImage( QPixmap & s)
{

 //setFocusPolicy(QWidget::StrongFocus) ;

 _scrollview = new QScrollView( this ) ;
 _scrollview->setGeometry(0,0,width(),height()) ;
 _fenetreImage = new fenetreImage( s ) ;
 _scrollview->addChild( _fenetreImage ) ;

 // c'est galre
 QObject::connect( _fenetreImage,SIGNAL(signalIFSchanged(paralleVector*,int,int)),
 			this,SLOT(slotIFSchanged(paralleVector*,int,int))) ;
}

conteneurImage :: ~conteneurImage()
{
  delete _fenetreImage ;
}



void conteneurImage :: resizeEvent(QResizeEvent* e )
{
 _scrollview->setGeometry(0,0,width(),height()) ;
}

void conteneurImage :: imageChanged(QPixmap* s)
{
 _fenetreImage->imageChanged(s) ;
}

void conteneurImage :: keyPressEvent( QKeyEvent* event )
{
 int k ;
// keyPressed = event->key() ;
 //cout << " conteneur :: keyPressed = " << event->key() << endl ;
 k = event->key() ;
 _fenetreImage->setKeyPressed(k) ;
 if (k == Qt::Key_F9) emit signalCalculate() ; 
}

void conteneurImage :: slotIFSchanged( paralleVector* p,int h,int w)
{
 emit signalIFSchanged(p,h,w) ;
}

void conteneurImage :: saveIFS(QString name) { _fenetreImage->saveIFS(name) ; }

void conteneurImage :: loadIFS(QString name) { _fenetreImage->loadIFS(name) ; }

void conteneurImage :: keyReleaseEvent( QKeyEvent* event )
{
 //keyPressed = Qt::Key_A ; // pour initialiser
 _fenetreImage->setKeyPressed(Qt::Key_A) ;
}





