#ifndef EFFECTCOLORLOG_H
#define EFFECTCOLORLOG_H

#include <qstring.h>
#include <qtextstream.h>

#include "effectColor.h"

class sparam ;
class planche ;

// classe abstraite pour reprsenter les attracteurs ou fractales
class effectColorLog : public effectColor
{

 public :
  effectColorLog() ;
  virtual ~effectColorLog() ;
  virtual void setParameters(sparam* ) ;
  virtual void streamParameters( QTextStream& ) ;
  virtual void calculate(planche*) ;

 private :
  double t ;
  int inversed ;
} ;

#endif
