#ifndef REPARTITION_H
#define REPARTITION_H

using namespace std ;

#include <iostream>
#include <cmath>

//#include <qpainter.h>
//#include <qpixmap.h>
#include <qwidget.h>
#include <qtabwidget.h>

#include "constants.h"

#define IMAGE_PALETTE_HEIGHT 170
#define IMAGE_PALETTE_WIDTH 40
#define MIN_VALUE_GRADIANT_ZONE 0
#define MAX_VALUE_GRADIANT_ZONE 169

#define MASK_COLOR 255

class QLabel ;
class QComboBox ;
class QCheckBox ;
class QPixmap ;
class QLineEdit ;

class QDoubleSlider ;
class QGradiantZone ;

class repartition : public QWidget
{
	Q_OBJECT   //  fenetrePrincipale cre des slots !!!

 public :
    repartition(QTabWidget*,const char*,WFlags);
    ~repartition();
    void drawRepartition(int*) ;
    void setMinMax(int,int) ;
    void drawPalette(paletteRGB*) ;
    void getParameterColoration(parameterColoration*) ;

 signals :
  void signalDrawRepartitionZoomed(int ,int ) ;
  void signalParameterColorationChanged() ;

 protected :
    virtual void paintEvent( QPaintEvent*  ) ;

 private slots:
  void slotDrawRepartitionZoomed(int,int) ;
  void slotParameterColorationChanged() ;
  void slotSmoothCurve() ;


 private :
  QPixmap* _bufferRepartition ;
  QPixmap* _imagePalette ;

  QLineEdit* lineEdit3;  // min
  QLineEdit* lineEdit4;  // max
  QLabel* textLabel2;
  QLabel* textLabel1;
  //QFrame* frame14;
  QComboBox* comboBox3;
  QComboBox* comboBox4;
  //QFrame* frame13;
  QCheckBox* checkBox10;
  QDoubleSlider* _dsRepartition ;
  QGradiantZone* _gzColor ;
  int mini, maxi, miniZoomed, maxiZoomed ;
};

#endif

