#include <iostream>
using namespace std ;


#include "sparam.h"

void sparam :: add()
{
 element* pa ;

 pa = new element ;
 pa->suivant = debut ;
 debut = pa ;
 nb++ ;
}

void sparam :: suppr()
{
 element* pa ;

 if (debut != NULL)
	{
	 pa = debut->suivant ;
	 delete debut ;
	 debut = pa ;
	}
}

sparam :: sparam(int s)
{
 int i ;

 debut = NULL ;
 courant = NULL ;
 nb = 0 ;
 indice_courant = -1 ;
 if (s<=0) return ;
 for(i=0;i<s;i++) add() ;
 courant = debut ;
 indice_courant = 0 ;
}

sparam:: ~sparam()
{
 element* pa ;

 while( debut != NULL)
	{
	 pa = debut->suivant ;
	 delete debut ;
	 debut = pa ;
	}
}

int sparam :: size()
{
 return nb ;
}

void sparam :: resize(int n )
{
 int i ;

 if (n==nb) return ;
 if (n>nb) for(i=nb;i<n;i++) add() ;
 if (n<nb) for(i=n;i<nb;i++) suppr() ;
 nb = n ;
}

void sparam :: print()
{
 courant = debut ;
 indice_courant = 0 ;
 while(courant != NULL)
	{
	 cout << courant->s << endl ;
	 courant = courant->suivant ;
	 indice_courant++ ;
	}
}

QString & sparam :: operator [] (int i)
{
 if (i>=indice_courant)
	{
	 while(indice_courant<i)
		{
		 if (courant == NULL) break ;
		 courant = courant->suivant ;
		 indice_courant++ ;
		}
	 if (courant != NULL)
		{
		 return courant->s ;
		}
	}
	else
	{
	 indice_courant = 0 ;
	 courant = debut ;
	 while(indice_courant<i)
		{
		 if (courant == NULL) break ;
		 courant = courant->suivant ;
		 indice_courant++ ;
		}
	 if (courant != NULL)
		{
		 return courant->s ;
		}
	}
}





